#ifndef lyp_inc
#define lyp_inc 1

long dialog(char * txt);

enum fractaltype {ft_none,ft_lyapunov,ft_mandelbrot};

#define show_minus 1
#define show_plus 2

#define showtime 0

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

typedef struct
{
int left;
int right;
int top;
int bottom;
}RECT;

typedef int HINSTANCE;
typedef int MSG;
typedef char * LPSTR;


class JFRACTAL
{
public:

JFRACTAL();
~JFRACTAL();

double doublemin;

//void start();
//int doit();
int lyap(uchar * palette,int ylinestep,int ystart);
int lyappixel();

void zoom_setstart(int x,int y);
void zoom_setend(int x,int y);
void zoom_out(int x,int y,double scale);

void reset();

void setsize(char * _pixels,int _width,int _height,int _widthbytes);

enum fractaltype type;

//Fractal parameters
long iterations;

double xval;
double x_min;
double x_max;

double yval;
double y_min;
double y_max;

double morph;
double morph_min;
double morph_dx;
double morph_dy;

double firstx;
double firstx_min;
double firstx_dx;
double firstx_dy;

double x_dx;
double y_dy;


//View options
double split;
double contrast;
int show;

// Precalculations
double morph2;
double totalmul;
int xnum,ynum;
double ymul;




//exit
int exit;
int exitval;

//Zoom
int zoom_xmin,zoom_xmax;
int zoom_ymin,zoom_ymax;

//View
long width;
long height;
char * pixels;
long widthbytes;
};

enum user {user_none,user_resize};
enum exits {exit_no,exit_restart,exit_close,exit_quit};


#endif


